import { Web3Provider } from '@ethersproject/providers';
import { BalanceInfo } from '@imtbl/imx-link-types';
import * as TE from 'fp-ts/TaskEither';
import { Observable } from 'rxjs';
export declare const getProvider: TE.TaskEither<Error, Web3Provider>;
export declare const ethBalance: (address: string, interval?: number) => Observable<BalanceInfo>;
export declare const erc20Balance: (owner: string, tokenAddress: string, interval?: number) => Observable<BalanceInfo>;
//# sourceMappingURL=etherium.d.ts.map